//             (C) by Florian Lindner 1998
//---------------------------------------------------------------------------
#ifndef FButtonH
#define FButtonH
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
#include <vcl\StdCtrls.hpp>
//---------------------------------------------------------------------------
class FButton : public TButton {
private:
    Boolean FUp;
    int FWidthOrig;
    void __fastcall SetUp(Boolean);
    void __fastcall SetWidthOrig(int);
    void AnimUp(int);
    void AnimDown(int);
protected:
public:
	__fastcall FButton(TComponent* Owner);
    void Enable();
    void Disable();
    void Animate(int);
__published:
    __property Boolean Up = { read=FUp, write=SetUp, default=1 };
    __property int WidthOrig = { read=FWidthOrig, write=SetWidthOrig, nodefault };
};
//---------------------------------------------------------------------------
#endif
